Open CASCADE Technology: QANewBRepNaming_Prism Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
QANewBRepNaming_Prism Class Reference

To load the Prism results. More...

`#include <QANewBRepNaming_Prism.hxx>`

Inheritance diagram for QANewBRepNaming_Prism:
[legend]

## Public Member Functions
| QANewBRepNaming_Prism ()
| QANewBRepNaming_Prism (const TDF_Label &ResultLabel)
void | Init (const TDF_Label &ResultLabel)
void | Load (BRepPrimAPI_MakePrism &mkPrism, const TopoDS_Shape &basis) const
| Loads the prism in the data framework. More...
TDF_Label | Bottom () const
| Returns the insertion label of the bottom face of the Prism. More...
TDF_Label | Top () const
| Returns the insertion label of the top face of the Prism. More...
TDF_Label | Lateral () const
| Returns the insertion label of the lateral face of the Prism. More...
TDF_Label | Degenerated () const
| Returns the insertion label of the degenerated face of the Prism. More...
TDF_Label | Dangle () const
| Returns the insertion label of the degenerated face of the Prism. More...
TDF_Label | Content () const
| Returns the insertion label of the degenerated face of the Prism. More...
Public Member Functions inherited from QANewBRepNaming_TopNaming
const TDF_Label & | ResultLabel () const
| Returns the result label. More...

## Additional Inherited Members
Protected Member Functions inherited from QANewBRepNaming_TopNaming
| QANewBRepNaming_TopNaming ()
| QANewBRepNaming_TopNaming (const TDF_Label &Label)
Protected Attributes inherited from QANewBRepNaming_TopNaming
TDF_Label | myResultLabel

## Detailed Description

To load the Prism results.

## Constructor & Destructor Documentation

QANewBRepNaming_Prism::QANewBRepNaming_Prism | ( |  | ) |

QANewBRepNaming_Prism::QANewBRepNaming_Prism | ( | const TDF_Label & | ResultLabel | ) |

## Member Function Documentation

TDF_Label QANewBRepNaming_Prism::Bottom | ( |  | ) | const

Returns the insertion label of the bottom face of the Prism.

TDF_Label QANewBRepNaming_Prism::Content | ( |  | ) | const

Returns the insertion label of the degenerated face of the Prism.

TDF_Label QANewBRepNaming_Prism::Dangle | ( |  | ) | const

Returns the insertion label of the degenerated face of the Prism.

TDF_Label QANewBRepNaming_Prism::Degenerated | ( |  | ) | const

Returns the insertion label of the degenerated face of the Prism.

void QANewBRepNaming_Prism::Init | ( | const TDF_Label & | ResultLabel | ) |

TDF_Label QANewBRepNaming_Prism::Lateral | ( |  | ) | const

Returns the insertion label of the lateral face of the Prism.

void QANewBRepNaming_Prism::Load | ( | BRepPrimAPI_MakePrism & | mkPrism,
|  | const TopoDS_Shape & | basis
| ) |  | const

Loads the prism in the data framework.

TDF_Label QANewBRepNaming_Prism::Top | ( |  | ) | const

Returns the insertion label of the top face of the Prism.

The documentation for this class was generated from the following file:

- QANewBRepNaming_Prism.hxx